Skip to main content
Payment Methods

Get Payee Payment method by payee payment method id

This method requires the PayeePaymentMethods:Get permission to be associated with your role.

GET
/gl/payee/payment-methods/{payee_payment_method_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
payee_payment_method_idstringrequired

Payee Payment method Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
payee_idstring

Payee Id

payee_payment_method_idstring

Payee payment method Id

payment_method_idstring

Payment method Id

process_typeenum<string>

Process type

Available options: item, claim, approval, payment, reg_ctp
status_flagenum<string>default:active

Status flag

Available options: active, inactive